#include<bits/stdc++.h>
using namespace std;
int n,k,t[1000000],moc,br;
int main ()
{
  br=1;
  moc=0;
  cin >> n >> k;
  for(int i=1; i<=n; i++)
  {
    cin >> t[i];
  }

  if(t[1]>t[n])
  {
    moc=t[1]-t[n];
  }
  if(t[n]>t[1])
  {
    moc=t[n]-t[1];
  }

  for(int i=2; i<=k-2; i++)    ///t[i] je prvi t[n] je poslednji
  {
      /// cout << t[i] << " " << t[n-br] << endl;
    if(t[1]>t[n-br])
    {
      moc=moc-t[n];
    }

    if(t[n-br]>t[1])
    {
      moc=moc-t[1];
    }
    br++;
  }
  cout << moc << endl;
  return 0;
}